%bcond_without gtk4

Summary:   NetworkManager VPN plugin for OpenVPN
Name:      NetworkManager-openvpn
Version:   1.10.2
Release:    1%{?dist}
License:   GPLv2+
URL:       http://www.gnome.org/projects/NetworkManager/

Source0:   https://download.gnome.org/sources/NetworkManager-openvpn/1.10/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: gtk3-devel
BuildRequires: NetworkManager-libnm-devel >= 1.2.0
BuildRequires: glib2-devel
BuildRequires: libtool gettext
BuildRequires: libnma-devel >= 1.2.0
BuildRequires: libsecret-devel

%if %with gtk4
BuildRequires: libnma-gtk4-devel
%endif

Requires: dbus
Requires: NetworkManager >= 1.2.0
Requires: openvpn
Requires(pre): shadow-utils


%global __provides_exclude ^libnm-.*\\.so


%description
This package contains software for integrating VPN capabilities with
the OpenVPN server with NetworkManager.


%package -n NetworkManager-openvpn-gnome
Summary: NetworkManager VPN plugin for OpenVPN - GNOME files

Requires: %{name} = %{version}-%{release}
Requires: gtk3
Requires: shared-mime-info

%description -n NetworkManager-openvpn-gnome
This package contains software for integrating VPN capabilities with
the OpenVPN server with NetworkManager (GNOME files).


%prep
%autosetup -p1


%build
if [ ! -f configure ]; then
  ./autogen.sh
fi
%configure \
        --disable-static \
%if %with gtk4
        --with-gtk4 \
%endif
        --enable-more-warnings=yes \
        --with-dist-version=%{version}-%{release}
make %{?_smp_mflags}


%check
make check


%pre
getent group nm-openvpn >/dev/null || groupadd -r nm-openvpn
getent passwd nm-openvpn >/dev/null || \
    useradd -r -g nm-openvpn -d / -s /sbin/nologin \
    -c "Default user for running openvpn spawned by NetworkManager" nm-openvpn
exit 0


%install
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.la

%find_lang %{name}

%files -f %{name}.lang
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn.so
%{_datadir}/dbus-1/system.d/nm-openvpn-service.conf
%{_prefix}/lib/NetworkManager/VPN/nm-openvpn-service.name
%{_libexecdir}/nm-openvpn-service
%{_libexecdir}/nm-openvpn-service-openvpn-helper
%doc AUTHORS README
%license COPYING


%files -n NetworkManager-openvpn-gnome
%{_libexecdir}/nm-openvpn-auth-dialog
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn-editor.so
%{_datadir}/metainfo/network-manager-openvpn.metainfo.xml

%if %with gtk4
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-openvpn-editor.so
%endif


%changelog
* Fri Aug 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.2-1
- initial build
